### Begin Mandriva macro definitions ###
%define distsuffix ru
%define mkrel(c:)              %{-c: 0.%{-c*}.}%{1}.%{distsuffix}
%define dist                   .%{distsuffix}
%define notmdk 1
%define mdkversion 200700

%define _logdir        /var/log

%define configure2_5x \
  CONFIGURE_TOP="${CONFIGURE_TOP:-.}"; \
  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
  %{?__cputoolize:%{__cputoolize} -c $CONFIGURE_TOP;} \
  %{?__libtoolize:(cd $CONFIGURE_TOP; [ -f configure.in -o -f configure.ac ] && %{__libtoolize} --copy --force) ;} \
  $CONFIGURE_TOP/configure --build=%{_target_platform} \\\
        --prefix=%{_prefix} \\\
        --exec-prefix=%{_exec_prefix} \\\
        --bindir=%{_bindir} \\\
        --sbindir=%{_sbindir} \\\
        --sysconfdir=%{_sysconfdir} \\\
        --datadir=%{_datadir} \\\
        --includedir=%{_includedir} \\\
        --libdir=%{_libdir} \\\
        --libexecdir=%{_libexecdir} \\\
        --localstatedir=%{_localstatedir} \\\
        --sharedstatedir=%{_sharedstatedir} \\\
        --mandir=%{_mandir} \\\
        --infodir=%{_infodir}\

%define pyver      %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

%define _make_bin  make
%define make       %{_make_bin} %_smp_mflags \

%define mklibname(ds)      %{_lib}%{1}%{?2:%{2}}%{?3:_%{3}}%{-s:-static}%{-d:-devel}
%define serverbuild    export CFLAGS="%optflags -fno-omit-frame-pointer"; export CXXFLAGS="%optflags -fno-omit-frame-pointer"; export RPM_OPT_FLAGS="%optflags -fno-omit-frame-pointer"
%define makeinstall_std(C:)    make DESTDIR=%{?buildroot:%{buildroot}} install %{-C:-C %{-C*} }%{?*:%*}\
find %{buildroot} -name '.packlist' -exec rm -f {} \\; &&

%define update_menus   true
%define clean_menus    true

%define _extension             .bz2

%define __install_info         /sbin/install-info
%define _install_info()        if [[ -f %{_infodir}/%{1}%{_extension} ]];then %{__install_info} %{_infodir}/%{1}%{_extension} --dir=%{_infodir}/dir;fi \
%{nil}
%define _remove_install_info() if [ "$1" = "0" ]; then if [[ -f %{_infodir}/%{1}%{_extension} ]];then %{__install_info} %{_infodir}/%{1}%{_extension} --dir=%{_infodir}/dir --remove ;fi; fi \
%{nil}

%define _menudir /usr/lib/menu
%define _iconsdir  %{_datadir}/icons
%define _miconsdir %{_iconsdir}/mini
%define _liconsdir %{_iconsdir}/large

%define _postun_userdel()    true
%define _pre_useradd()       /usr/sbin/useradd -r -M -s %{3} -d %{2} -c "system user for %{name}" %{1} > /dev/null 2>&1 ||: \
%{nil}

%define _post_service()        if [  $1 -eq 1 ]\
then /sbin/chkconfig --add %{1}\
else\
        if [ -f /etc/rc3.d/S??%{1} ]\
        then /sbin/chkconfig --add %{1}\
        fi\
        if [ -f /var/lock/subsys/%{1} ]\
        then /sbin/service %{1} restart >/dev/null 2>/dev/null||:\
        fi\
fi\
%{nil}

%define _preun_service()       if [ $1 -eq 0 ]\
then\
        /sbin/service %{1} stop > /dev/null 2>/dev/null || :\
        /sbin/chkconfig --del %{1}\
fi\
%{nil}

%define __os_install_post    \
    /usr/lib/rpm/brp-compress \
    /usr/lib/rpm/brp-strip \
    /usr/lib/rpm/brp-strip-static-archive \
    /usr/lib/rpm/brp-strip-comment-note \
%{nil}

%define _use_internal_dependency_generator     0

%define __find_provides        /usr/lib/rpm/find-provides
%define __find_requires        /usr/lib/rpm/find-requires %{?buildroot:%{buildroot}} %{?_target_cpu:%{_target_cpu}}

%define _post_webapp          [ $1 == 1 ] && /sbin/service httpd condrestart ||:
%define _postun_webapp                [ $1 == 0 ] && /sbin/service httpd condrestart ||:

%define multiarch_bindir %_bindir
%define multiarch_binaries /bin/true
### End Mandriva macro definitions ###

%global ol_major 2.4
%define schema_dir %{_datadir}/openldap%{ol_major}/schema

Name: openldap%{ol_major}-extra-schemas
Summary: Some extra schemas for OpenLDAP
Version: 1.3
Release: %mkrel 9
License: Several, see each file
Group: Databases
Source0: autofs.schema
# Get from qmail-ldap patch (http://www.nrg4u.com/qmail/)
Source1: qmail.schema
# from rfc2739, updated for schema correctness, used by evo for calendar attrs
Source2: calendar.schema
# from bind sdb_ldap page:http://www.venaas.no/ldap/bind-sdb/dnszone-schema.txt
Source4: dnszone.schema
# from evolution package
Source5: evolutionperson.schema
Source6: kerberosobject.schema
Source7: kolab.schema
# from Heimdal kerberos sources
Source8: krb5-kdc.schema
Source9: ldapns.schema
Source10: rfc822-MailMember.schema
# Get from samba source, examples/LDAP/samba.schema
Source11: samba.schema
# from MIT krb5-1.6.x:
Source13: MIT-kerberos.schema
Source14: rfc2307bis.schema
# from openssh-lpk patch at http://dev.inversepath.com/trac/openssh-lpk
Source15: http://dev.inversepath.com/openssh-lpk/openssh-lpk_openldap.schema
Source16: http://dev.inversepath.com/openssh-lpk/openssh-lpk_sun.schema
# See http://mattfleming.com/node/190
Source17: http://mattfleming.com/files/active/0/apple.schema
# from http://cvs.pld.org.pl/SOURCES/openldap-dhcp.schema
Source18: http://debian.jones.dk/debian/local/honda/pool-ldapv3/woody-jones/openldap2/schemas/netscape-profile.schema
Source19: http://debian.jones.dk/debian/local/honda/pool-ldapv3/woody-jones/openldap2/schemas/trust.schema
Source20: http://debian.jones.dk/debian/local/honda/pool-ldapv3/woody-jones/openldap2/schemas/dns.schema
Source21: http://debian.jones.dk/debian/local/honda/pool-ldapv3/woody-jones/openldap2/schemas/cron.schema
Source22: http://debian.jones.dk/debian/local/honda/pool-ldapv3/woody-jones/openldap2/schemas/qmailControl.schema
Source23: sudo.schema
Source24: dhcp.schema
Source25: autofs.schema

URL: http://www.openldap.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildArch: noarch
Requires: openldap%{ol_major}-servers
# add conflicts when the schemas have been removed from
# openldap-servers
#Conflicts: openldap-server <= 1:2.3.30-1nl
Conflicts: openldap%{ol_major}-servers < 2.4.17

%description
This package contains some extra schemas for use with the OpenLDAP server.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{schema_dir}
#install -m 0644 %{_sourcedir}/*.schema %{buildroot}%{schema_dir}
install -m 0644 %{SOURCE1}  %{SOURCE2}  %{SOURCE4}  %{SOURCE5} \
		%{SOURCE6}  %{SOURCE7}  %{SOURCE8}  %{SOURCE9}  %{SOURCE10} \
		%{SOURCE11} %{SOURCE13} %{SOURCE14} \
		%{SOURCE15} %{SOURCE16} %{SOURCE17} %{SOURCE18} %{SOURCE19} \
		%{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} \
		%{SOURCE25} \
%{buildroot}%{schema_dir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{schema_dir}/*.schema



%changelog
* Fri Jan 08 2010 Brian Schubert <schubert@nbcs.rutgers.edu> 1.3-9.ru
- Added mandriva macros to spec file
- Set %%ol_major to 2.4

* Mon Jan 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-9mdv2010.1
+ Revision: 486148
- update LPK schemas (attributes are now optional)

  + Buchan Milne <bgmilne@mandriva.org>
    - Version openldap-servers require by ol_major

* Sun Jul 19 2009 Buchan Milne <bgmilne@mandriva.org> 1.3-7mdv2010.0
+ Revision: 397984
- Add autofs schema

* Sun Jul 19 2009 Buchan Milne <bgmilne@mandriva.org> 1.3-6mdv2010.0
+ Revision: 397916
- Migrate the rest of the non-core schema out
- Fix versioning

* Sun Jul 19 2009 Buchan Milne <bgmilne@mandriva.org> 1.3-5mdv2010.0
+ Revision: 397235
- Allow building a package for versioned openldap-servers package
- Conflict with openldap-servers which ships the same schema files

* Fri Dec 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-4mdv2009.1
+ Revision: 310796
- drop schemas conflicting with openldap--server package (fix #38971):
- sudo schema (only cosmetics differences)
- dhcp schema (actual differences, but the alternate one is already shipped in dhcp server package)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Buchan Milne <bgmilne@mandriva.org>
    - add hdb.schema from http://people.su.se/~lha/patches/heimdal/hdb.schema
    - Add apple.schema from http://mattfleming.com/node/190

  + Andreas Hasenack <andreas@mandriva.com>
    - fix indentation error in sudo.schema

* Mon Jul 23 2007 Andreas Hasenack <andreas@mandriva.com> 1.2-1mdv2008.0
+ Revision: 54799
- updated dhcp schema from version 3.0.5 of the patch

* Fri Jun 01 2007 Andreas Hasenack <andreas@mandriva.com> 1.1-1mdv2008.0
+ Revision: 34339
- added lpk schemas (openssh + ldap)

* Thu May 03 2007 Andreas Hasenack <andreas@mandriva.com> 1.0-2mdv2008.0
+ Revision: 22052
- added rfc2307bis.schema


* Wed Jan 03 2007 Andreas Hasenack <andreas@mandriva.com> 1.0-1mdv2007.0
+ Revision: 103813
- Import openldap-extra-schemas

